Subject: Re: [PATCH] wireless extensions: play with netns

From: ebiederm-aS9lmoZGLiVWk0Htik3J/[email-masked] (Eric W. Biederman)
Date: Wed, 17 Jun 2009 17:27:19 -0700

Johannes Berg <[email-masked]> writes:

> On Thu, 2009-06-18 at 01:41 +0200, Johannes Berg wrote:
>> On Wed, 2009-06-17 at 16:24 -0700, Eric W. Biederman wrote:
>> 
>> > > So it looks like I can also use rcu_read_lock(), but there's no
>> > > for_each_net_rcu(), should there be?
>> > 
>> > I'm not using rcu safe list manipulation.  What makes it look like
>> > rcu_read_lock() is safe?
>> 
>> Indeed. I was looking at rcu_barrier() only. How about the patch below?
>
> With that, my genl patch can look like this:
>
> Subject: genetlink: make netns aware
>
> This makes generic netlink network namespace aware.
> No actual generic netlink families are made namespace
> aware, they need to be checked one by one and then
> set the family->netnsok member to true.

Are skb_clone and nlmsg_multicast really guaranteed not to sleep?

That seems like a lot of code and a lot of code paths.

Eric
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html